Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.torque.util
Class BasePeerImplTest

    java.lang.Object
      junit.framework.Assert
          junit.framework.TestCase
              org.apache.torque.BaseTestCase
                  org.apache.torque.util.BasePeerImplTest

All Implemented Interfaces:
  junit.framework.Test

    public class BasePeerImplTest

extends BaseTestCase

Tests the class BasePeerImpl.

Version:
  $Id: BasePeerImplTest.java 1448414 2013-02-20 21:06:35Z tfischer $

Field Summary

Fields inherited from class org.apache.torque.BaseTestCase
`CONFIG_FILE, database, databaseMap, databaseMysql, databaseOracle, databasePostgresql, integerColumnMap, stringColumnMap, tableMap`

Constructor Summary
`BasePeerImplTest()`

Method Summary
`void` | `setUp()` Re-Initialize Torque and fill supplied data.
`void` | `testDeleteWithQualifiedTableName()`
`void` | `testDoSelectAll()` Check that the fetch size gets set on the prepared statement when set in the criteria.
`void` | `testDoSelectAllFetchSize()` Check that the fetch size gets set on the prepared statement when set in the criteria.

Methods inherited from class junit.framework.TestCase
`countTestCases, createResult, getName, run, run, runBare, runTest, setName, tearDown, toString`

Methods inherited from class junit.framework.Assert
`assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertEquals, assertFalse, assertFalse, assertNotNull, assertNotNull, assertNotSame, assertNotSame, assertNull, assertNull, assertSame, assertSame, assertTrue, assertTrue, fail, fail`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BasePeerImplTest

    public BasePeerImplTest()

Method Detail

### setUp

    public void setUp()
               throws Exception

  Description copied from class: `BaseTestCase`
  Re-Initialize Torque and fill supplied data. Subclasses which override setUp() must call super.setUp() as their first action.

  Overrides:
    `setUp` in class `BaseTestCase`
  Throws:
    `Exception` - if initialisation fails.

### testDoSelectAll

    public void testDoSelectAll()
                         throws Exception

  Check that the fetch size gets set on the prepared statement when set in the criteria.

  Throws:
    `Exception` - if the test fails.

### testDoSelectAllFetchSize

    public void testDoSelectAllFetchSize()
                                  throws Exception

  Check that the fetch size gets set on the prepared statement when set in the criteria.

  Throws:
    `Exception` - if the test fails.

### testDeleteWithQualifiedTableName

    public void testDeleteWithQualifiedTableName()
                                          throws Exception

  Throws:
    `Exception`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 The Apache Software Foundation. All Rights Reserved.